package com.ruoyi.web.v3.controller;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbHarmlessTreatmentEntity;
import com.ruoyi.web.v3.model.request.HbHarmlessTreatmentPageReq;
import com.ruoyi.web.v3.service.IHbHarmlessTreatmentService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * v3.0无害化处理登记 前端控制器
 * </p>
 *
 */
@RestController
@RequestMapping("/v3/hb-harmless-treatment")
@Api("3.0无害化处理登记管理")
public class HbHarmlessTreatmentController {

    @Resource
    private IHbHarmlessTreatmentService harmlessTreatmentService;

    @ApiOperation("无害化处理登记记录添加")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody HbHarmlessTreatmentEntity request){
        return harmlessTreatmentService.add(request);
    }

    @ApiOperation("无害化处理登记录修改")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody HbHarmlessTreatmentEntity request){
        return harmlessTreatmentService.edit(request);
    }

    @ApiOperation("无害化处理登记记录删除")
    @PostMapping("/delete")
    public AjaxResult delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        return harmlessTreatmentService.delete(ids);
    }

    @ApiOperation("无害化处理登记记录分页查询")
    @GetMapping("/page")
    public AjaxResult page(@ModelAttribute HbHarmlessTreatmentPageReq request) {
        return harmlessTreatmentService.page(request);
    }


    @ApiOperation("无害化处理登记记录列表全量查询")
    @GetMapping("/list")
    public AjaxResult listAll(){
        return harmlessTreatmentService.listAll();
    }

}
